import { LineRangeMapping, DetailedLineRangeMapping } from './rangeMapping.js';

declare class MovedText {
    readonly lineRangeMapping: LineRangeMapping;
    /**
     * The diff from the original text to the moved text.
     * Must be contained in the original/modified line range.
     * Can be empty if the text didn't change (only moved).
     */
    readonly changes: readonly DetailedLineRangeMapping[];
    constructor(lineRangeMapping: LineRangeMapping, changes: readonly DetailedLineRangeMapping[]);
    flip(): MovedText;
}

export { MovedText };
