declare const enum Verbosity {
    SHORT = 0,
    MEDIUM = 1,
    LONG = 2
}
interface IFormatterChangeEvent {
    scheme: string;
}
interface ResourceLabelFormatter {
    scheme: string;
    authority?: string;
    priority?: boolean;
    formatting: ResourceLabelFormatting;
}
interface ResourceLabelFormatting {
    label: string;
    separator: '/' | '\\' | '';
    tildify?: boolean;
    normalizeDriveLetter?: boolean;
    workspaceSuffix?: string;
    workspaceTooltip?: string;
    authorityPrefix?: string;
    stripPathStartingSeparator?: boolean;
}

export { type IFormatterChangeEvent, type ResourceLabelFormatter, type ResourceLabelFormatting, Verbosity };
