import { ServiceIdentifier } from '../../instantiation/common/instantiation.js';
import { URI } from '../../../base/common/uri.js';
import { ILanguagePackItem } from './languagePacks.js';

declare const ILanguagePackService: ServiceIdentifier<ILanguagePackService>;
interface ILanguagePackService {
    readonly _serviceBrand: undefined;
    getAvailableLanguages(): Promise<Array<ILanguagePackItem>>;
    getInstalledLanguages(): Promise<Array<ILanguagePackItem>>;
    getBuiltInExtensionTranslationsUri(id: string, language: string): Promise<URI | undefined>;
}

export { ILanguagePackService };
