import { Color, RGBA } from '../../../../base/common/color.js';
import { localize } from '../../../../nls.js';
import { registerColor, transparent } from '../../../../platform/theme/common/colorUtils.js';
import { contrastBorder, foreground } from '../../../../platform/theme/common/colors/baseColors.js';
import '../../../../platform/theme/common/colors/chartsColors.js';
import { editorWidgetBackground, editorBackground } from '../../../../platform/theme/common/colors/editorColors.js';
import '../../../../platform/theme/common/colors/inputColors.js';
import '../../../../platform/theme/common/colors/listColors.js';
import '../../../../platform/theme/common/colors/menuColors.js';
import '../../../../platform/theme/common/colors/minimapColors.js';
import { badgeBackground, badgeForeground } from '../../../../platform/theme/common/colors/miscColors.js';
import '../../../../platform/theme/common/colors/quickpickColors.js';
import '../../../../platform/theme/common/colors/searchColors.js';
registerColor('chat.requestBorder', { dark: ( (new Color( (new RGBA(255, 255, 255, 0.10))))), light: ( (new Color( (new RGBA(0, 0, 0, 0.10))))), hcDark: contrastBorder, hcLight: contrastBorder, }, ( localize(7456, 'The border color of a chat request.')));
const chatRequestBackground = registerColor('chat.requestBackground', { dark: ( (transparent(editorBackground, 0.62))), light: ( (transparent(editorBackground, 0.62))), hcDark: editorWidgetBackground, hcLight: null }, ( localize(7457, 'The background color of a chat request.')));
const chatSlashCommandBackground = registerColor('chat.slashCommandBackground', { dark: '#34414b8f', light: '#d2ecff99', hcDark: Color.white, hcLight: badgeBackground }, ( localize(7458, 'The background color of a chat slash command.')));
const chatSlashCommandForeground = registerColor('chat.slashCommandForeground', { dark: '#40A6FF', light: '#306CA2', hcDark: Color.black, hcLight: badgeForeground }, ( localize(7459, 'The foreground color of a chat slash command.')));
registerColor('chat.avatarBackground', { dark: '#1f1f1f', light: '#f2f2f2', hcDark: Color.black, hcLight: Color.white, }, ( localize(7460, 'The background color of a chat avatar.')));
registerColor('chat.avatarForeground', foreground, ( localize(7461, 'The foreground color of a chat avatar.')));
export { chatRequestBackground, chatSlashCommandBackground, chatSlashCommandForeground };
