import '../../../../editor/editor.api.js';

interface IAutoSaveConfiguration {
    autoSave?: 'afterDelay' | 'onFocusChange' | 'onWindowChange';
    autoSaveDelay?: number;
    autoSaveWorkspaceFilesOnly?: boolean;
    autoSaveWhenNoErrors?: boolean;
}
declare const enum AutoSaveMode {
    OFF = 0,
    AFTER_SHORT_DELAY = 1,
    AFTER_LONG_DELAY = 2,
    ON_FOCUS_CHANGE = 3,
    ON_WINDOW_CHANGE = 4
}
declare const enum AutoSaveDisabledReason {
    SETTINGS = 1,
    OUT_OF_WORKSPACE = 2,
    ERRORS = 3,
    DISABLED = 4
}
type IAutoSaveMode = IEnabledAutoSaveMode | IDisabledAutoSaveMode;
interface IEnabledAutoSaveMode {
    readonly mode: AutoSaveMode.AFTER_SHORT_DELAY | AutoSaveMode.AFTER_LONG_DELAY | AutoSaveMode.ON_FOCUS_CHANGE | AutoSaveMode.ON_WINDOW_CHANGE;
}
interface IDisabledAutoSaveMode {
    readonly mode: AutoSaveMode.OFF;
    readonly reason: AutoSaveDisabledReason;
}

export { AutoSaveDisabledReason, AutoSaveMode, type IAutoSaveConfiguration, type IAutoSaveMode, type IDisabledAutoSaveMode, type IEnabledAutoSaveMode };
